Bug 613083 - on x86_64 rawhide, libstdc++.i686 has files conflicts with libstdc++.x86_64
Summary: on x86_64 rawhide, libstdc++.i686 has files conflicts with libstdc++.x86_64
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libstdc++so7   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Benjamin Kosnik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 16:31 UTC by lethalwp
Modified: 2013-08-09 05:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 15:32:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lethalwp 2010-07-09 16:31:12 UTC
Description of problem:
file conflict between x86_64 and i686 package

Version-Release number of selected component (if applicable):
act]$ rpm -qa | grep ^libstdc++ | grep -v devel
libstdc++-4.5.0-1.fc14.x86_64
libstdc++so7-4.2.0-0.3.20060203.2.x86_64
libstdc++-4.4.4-10.fc13.i686
libstdc++so7-4.2.0-0.3.20060203.2.i386
ually installed (upgraded from a fed13):


How reproducible:
always


Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:

Dependencies Resolved

===========================================================================================================================================================================================================
 Package                                           Arch                                         Version                                              Repository                                       Size
===========================================================================================================================================================================================================
Updating:
 libstdc++                                         i686                                         4.5.0-1.fc14                                         rawhide                                         268 k

Transaction Summary
===========================================================================================================================================================================================================
Upgrade       1 Package(s)

Total size: 268 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
  file /usr/share/gcc-4.5.0/python/libstdcxx/__init__.pyc from install of libstdc++-4.5.0-1.fc14.i686 conflicts with file from package libstdc++-4.5.0-1.fc14.x86_64
  file /usr/share/gcc-4.5.0/python/libstdcxx/v6/__init__.pyc from install of libstdc++-4.5.0-1.fc14.i686 conflicts with file from package libstdc++-4.5.0-1.fc14.x86_64
  file /usr/share/gcc-4.5.0/python/libstdcxx/__init__.pyo from install of libstdc++-4.5.0-1.fc14.i686 conflicts with file from package libstdc++-4.5.0-1.fc14.x86_64
  file /usr/share/gcc-4.5.0/python/libstdcxx/v6/__init__.pyo from install of libstdc++-4.5.0-1.fc14.i686 conflicts with file from package libstdc++-4.5.0-1.fc14.x86_64
  file /usr/share/gcc-4.5.0/python/libstdcxx/v6/printers.pyc from install of libstdc++-4.5.0-1.fc14.i686 conflicts with file from package libstdc++-4.5.0-1.fc14.x86_64
  file /usr/share/gcc-4.5.0/python/libstdcxx/v6/printers.pyo from install of libstdc++-4.5.0-1.fc14.i686 conflicts with file from package libstdc++-4.5.0-1.fc14.x86_64


Expected results:


Additional info:

Comment 1 lethalwp 2010-07-15 15:32:51 UTC
solved with -4.5.0-2 and gdb-7.1-29


Note You need to log in before you can comment on or make changes to this bug.